Subject: [PATCH v3 1/2] dt-bindings: add device tree binding for Allwinner XR819 SDIO Wi-Fi

From: [email-masked] (Kalle Valo)
Date: Thu, 05 Oct 2017 09:58:01 +0300

Icenowy Zheng <[email-masked]> writes:

> ? 2017?10?4? GMT+08:00 ??6:11:45, Maxime Ripard
> <[email-masked]> ??:
>>On Wed, Oct 04, 2017 at 10:02:48AM +0000, Arend van Spriel wrote:
>>> On 10/4/2017 11:03 AM, Icenowy Zheng wrote:
>>> > 
>>> > 
>>> > ? 2017?10?4? GMT+08:00 ??5:02:17, Kalle Valo <[email-masked]>
>>??:
>>> > > Icenowy Zheng <[email-masked]> writes:
>>> > > 
>>> > > > Allwinner XR819 is a SDIO Wi-Fi chip, which has the
>>functionality to
>>> > > use
>>> > > > an out-of-band interrupt pin instead of SDIO in-band interrupt.
>>> > > > 
>>> > > > Add the device tree binding of this chip, in order to make it
>>> > > possible
>>> > > > to add this interrupt pin to device trees.
>>> > > > 
>>> > > > Signed-off-by: Icenowy Zheng <[email-masked]>
>>> > > > Acked-by: Rob Herring <[email-masked]>
>>> > > > ---
>>> > > > Changes in v3:
>>> > > > - Renames the node name.
>>> > > > - Adds ACK from Rob.
>>> > > > Changes in v2:
>>> > > > - Removed status property in example.
>>> > > > - Added required property reg.
>>> > > > 
>>> > > >   .../bindings/net/wireless/allwinner,xr819.txt      | 38
>>> > > ++++++++++++++++++++++
>>> > > >   1 file changed, 38 insertions(+)
>>> > > >   create mode 100644
>>> > >
>>Documentation/devicetree/bindings/net/wireless/allwinner,xr819.txt
>>> > > 
>>> > > Like I asked already last time, AFAICS there is no upstream xr819
>>> > > wireless driver in drivers/net/wireless directory. Do we still
>>accept
>>> > > bindings like this for out-of-tree drivers?
>>> > 
>>> > See esp8089.
>>> > 
>>> > There's also no in-tree driver for it.
>>> 
>>> The question is whether we should. The above might be a precedent,
>>but it
>>> may not necessarily be the way to go. The commit message for esp8089
>>seems
>>> to hint that there is intent to have an in-tree driver:
>>> 
>>> """
>>>     Note that at this point there only is an out of tree driver for
>>this
>>>     hardware, there is no clear timeline / path for merging this.
>>Still
>>>     I believe it would be good to specify the binding for this in
>>tree
>>>     now, so that any future migration to an in tree driver will not
>>cause
>>>     compatiblity issues.
>>> 
>>>     Cc: Icenowy Zheng <[email-masked]>
>>>     Signed-off-by: Hans de Goede <[email-masked]>
>>>     Signed-off-by: Rob Herring <[email-masked]>
>>> """
>>> 
>>> Regardless the bindings are in principle independent of the kernel
>>and just
>>> describing hardware. I think there have been discussions to move the
>>> bindings to their own repository, but apparently it was decided
>>otherwise.
>>
>>Yeah, I guess especially how it could be merged with the cw1200 driver
>>would be very relevant to that commit log.
>
> The cw1200 driver seems to still have some legacy platform
> data. Maybe they should also be convert to DT.
> (Or maybe compatible = "allwinner,xr819" is enough, as
> xr819 is a specified variant of cw1200 family)

Ah, so the upstream cw1200 driver supports xr819? Has anyone tested
that? Or does cw1200 more changes than just adding the DT support?

-- 
Kalle Valo